#!/bin/bash

set -e

echo "Migrating DB..."
./mapg db:migrate

echo "Installing crontab..."
/usr/bin/crontab docker/scripts/cron

echo "Set runner user based on owner of .env..."
if ! getent group mapg; then
    USER_GID=$(stat -c "%g" .env)
    groupadd --gid $USER_GID mapg
fi
if ! id -u mapg; then
    USER_UID=$(stat -c "%u" .env)
    useradd --uid $USER_UID --gid $USER_GID mapg
fi
chown mapg:mapg cache
sed -i -e "s/^user = .*$/user = mapg/g" -e "s/^group = .*$/group = mapg/g" /etc/php/8.1/fpm/pool.d/www.conf

set +e

/usr/sbin/cron -f &
/usr/sbin/php-fpm8.1 -F &
/usr/sbin/nginx -g 'daemon off;' &
sudo -u mapg -g mapg /usr/bin/node multi &

wait -n

exit $?
